Eclipse Platform Release 3.7

## org.eclipse.swt.events
Interface FocusListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  FocusAdapter, HyperlinkManager

    public interface FocusListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated as controls gain and lose focus.

After creating an instance of a class that implements this interface it can be added to a control using the `addFocusListener` method and removed using the `removeFocusListener` method. When a control gains or loses focus, the appropriate method will be invoked.

See Also:
  `FocusAdapter`, `FocusEvent`

Method Summary
`void` `focusGained(FocusEvent e)` Sent when a control gets focus.
`void` `focusLost(FocusEvent e)` Sent when a control loses focus.

Method Detail

### focusGained

    void focusGained(FocusEvent e)

  Sent when a control gets focus.

  Parameters:
    `e` - an event containing information about the focus change

### focusLost

    void focusLost(FocusEvent e)

  Sent when a control loses focus.

  Parameters:
    `e` - an event containing information about the focus change

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.